body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

header {
    background-color: #333;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}

nav ul {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
    margin-top: 2vh;
}

nav li {
    margin-right: 20px;
}

nav a {
    color: white;
    background-color: #333;
    text-decoration: none;
    padding: 2vh;
    font-weight: bold;
}

nav a:hover{
    color: black;
    background-color: white;
}

nav .active{
  color: black;
  background-color: white;
}

main {
  max-width: 900px;
  margin: 0 auto;
  min-height: calc(100vh - 100px);
  opacity: 0;
  transition: opacity 1.2s ease-in-out;
  padding: 2vh;
}

main.loaded {
  opacity: 1;
}

.featured-article{
  background-color: #f1f1f1;
  border-radius: 0.25rem;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), 0 2px 4px rgba(0, 0, 0, 0.05), 0 4px 8px rgba(0, 0, 0, 0.05), 0 8px 16px rgba(0, 0, 0, 0.05);
  padding: 2rem;
  margin-bottom: 2rem;
}

.featured-article p.article-date {
  font-size: 18px;
  color: #666;
}

#cs2-wrapper{
  background-color: #f1f1f1;
  border-radius: 0.25rem;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), 0 2px 4px rgba(0, 0, 0, 0.05), 0 4px 8px rgba(0, 0, 0, 0.05), 0 8px 16px rgba(0, 0, 0, 0.05);
  padding: 2rem;
  margin-bottom: 2rem;
  text-align: center;
}

.article-content a {
  display: inline-block;
  padding: 8px 20px;
  font-size: 18px;
  color: #fff;
  background-color: #f93;
  text-decoration: none;
  border-radius: 5px;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.3);
  transition: all 0.3s ease;
}

.article-content a:hover {
  background-color: #f60;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.4);
  transform: translateY(-2px);
}

.article-content .eighteenplus{
  font-size: 10px;
  color: #666;
}

.small-txt p{
  font-size: 8px;
  color: #666;
}

.twitter-tweet {
  margin: 0 auto;
}

.articles-header {
  font-size: 2rem;
  margin-bottom: 2rem;
  text-align: center;
}

.articles-wrapper {
  display: flex;
  justify-content: center;
  align-items: center; 
  flex-wrap: wrap;
}

.category {
  width: min-content;
  background-color: #f1f1f1;
  border-radius: 0.25rem;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), 0 2px 4px rgba(0, 0, 0, 0.05), 0 4px 8px rgba(0, 0, 0, 0.05), 0 8px 16px rgba(0, 0, 0, 0.05);
  padding: 2rem;
  margin-bottom: 2rem;
}

.category h3 {
  font-size: 1.5rem;
  margin-bottom: 1.5rem;
}

.category ul li {
  padding: 1vh;
}

.category ul li a {
  display: block;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  max-width: 100%;
  padding: 1vh;
}

.skeleton-loading {
  background-color: #f1f1f1;
  border-radius: 0.25rem;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), 0 2px 4px rgba(0, 0, 0, 0.05), 0 4px 8px rgba(0, 0, 0, 0.05), 0 8px 16px rgba(0, 0, 0, 0.05);
  padding: 2rem;
  margin-bottom: 2rem;
}

.skeleton-loading .skeleton-title,
.skeleton-loading .skeleton-date,
.skeleton-loading .skeleton-summary,
.skeleton-loading .skeleton-link {
  background: linear-gradient(90deg, #f1f1f1 25%, #ddd 50%, #f1f1f1 75%);
  background-size: 200% 100%;
  animation: loading 1.5s infinite;
  height: 1rem;
  margin-bottom: 0.5rem;
}


.article-list {
  list-style: none;
  margin: 0;
  padding: 0;
}

.article-section {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 70vh;
}

.article-section article {
  max-width: 700px;
  width: 100%;
  padding: 20px;
  background-color: #f1f1f1;
  border-radius: 5px;
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.2);
}

.article-section article p.article-content {
  font-size: 16px;
  line-height: 1.5;
}

.article-section article header {
  margin-bottom: 20px;
  background-color: #f1f1f1;
  color: black;
}

.article-section article h2.article-title {
  font-size: 38px;
  margin-bottom: 10px;
}

.article-section article p.article-date {
  font-size: 14px;
  color: #666;
}

.betting-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 20px;
  }
  
  .betting-item {
  width: 100%;
  max-width: 460px;
  background-color: #f1f1f1;
  padding: 30px;
  border-radius: 3px;
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.2);
  margin-bottom: 20px;
  }
  
  .betting-item:first-of-type {
  margin-right: 0;
  }
  
  .betting-item:last-of-type {
  margin-left: 0;
  }
  
  .betting-item h3 {
  font-size: 20px;
  margin-bottom: 10px;
  }
  
  .betting-item p {
  margin-bottom: 10px;
  }

  .betting-item a {
    display: inline-block;
    padding: 8px 20px;
    font-size: 18px;
    color: #fff;
    background-color: #f93;
    text-decoration: none;
    border-radius: 5px;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.3);
    transition: all 0.3s ease;
  }
  
  .betting-item a:hover {
    background-color: #f60;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.4);
    transform: translateY(-2px);
  }
  
  .betting-item .eighteenplus{
  font-size: 10px;
  color: #666;
  }

  .legal-section a{
    padding: 2vh;
    display: block;
    margin-top: 2vh;
  }

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
  
li {
  margin-bottom: 2vh;
}

h1 {
    margin: 0;
}

h2 {
    margin: 0;
    margin-bottom: 20px;
}

h3 {
    margin: 0;
    margin-bottom: 10px;
}

p {
    line-height: 1.5;
    margin: 0;
    padding: 2vh;
    word-wrap: break-word;
    overflow-wrap: break-word;
}

a {
    color: #333;
    text-decoration: none;
    background-color: #f1f1f1;
    padding: 5px 10px;
    border-radius: 3px;
}

a:hover {
    background-color: #333;
    color: #fff;
}

section {
    text-align: center;
    padding: 5vh;
}

footer {
    color: white;
    position: relative;
    bottom: 0;
    background-color: #333;
    width: 100%;
}
  

.footer-wrapper {
    font-weight: bold;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.footer-contact a{
    color: white;
    background-color: #333;
    padding: 1vh;
}

.footer-contact a:hover{
    color: black;
    background-color: white;
}

.footer-links {
    margin-top: 10px;
}

.footer-links a {
    display: inline-block;
    margin: 0 10px;
    color: white;
    background-color: #333;
    text-decoration: none;
    padding: 2vh;
}

.footer-links a:hover {
    color: black;
    background-color: white;
}

a.fyd {
  font-style: italic;
  color: white;
  position: relative;
  transition: all 0.3s ease-out;
  background-color: #333;
  margin-top: 2vh;
}

a.fyd::before {
  content: "";
  position: absolute;
  bottom: -1px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: white;
  transform: scaleX(0);
  transform-origin: left center;
  transition: transform 0.3s ease-out;
}

a.fyd:hover {
  background-image: linear-gradient(to right, #f00, #ff0, #0f0, #0ff, #00f, #f0f);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
}

a.fyd:hover::before {
  transform: scaleX(1);
}


article{
    padding: 2vh;
}

#cookie-banner {
    display: none;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #303030;
    color: white;
    padding: 20px;
    z-index: 9999;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
#cookie-banner-content {
    width: 80%;
    text-align: center;
}
#cookie-banner p {
    margin-bottom: 10px;
    white-space: pre-line;
}
#cookie-banner a {
    color: #00bfff;
    text-decoration: underline;
    background-color: #303030;
    padding: 0;
    border-radius: 0px;
}
#cookie-banner-buttons {
    display: flex;
    justify-content: center;
}
#cookie-banner button {
    font-size: 18px;
    background-color: #00bfff;
    color: white;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    margin: 0 10px;
    text-transform: uppercase;
    font-weight: bold;
}
#cookie-banner button:hover {
    background-color: #008080;
}

.ad-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  background-color: #f1f1f1;
  border-radius: 5px;
  padding: 2vh;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  margin: 10px 0;
  max-width: 900px;
  margin: 0 auto;
  margin-bottom: 8vh;
}

.ad-name {
  font-size: 20px;
  margin: 0;
  color: #333;
}

.ad-notice
{
  font-size: 8px;
  color: gray;
}

.ad-logo {
  max-width: 90px;
  max-height: 90px;
  margin: 10px 0;
}

.ad-text {
  font-size: 16px;
  margin: 0;
  color: #666;
  white-space: pre-wrap;
}

.ad-link {
  font-size: 14px;
  color: #fff;
  background-color: #f93;
  text-decoration: none;
  margin: 10px 0;
  border-radius: 5px;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.3);
  transition: all 0.3s ease;
}

.ad-link:hover {
  background-color: #f60;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.4);
  transform: translateY(-2px);
}

.live-blog-section {
  margin-bottom: 20px;
  background-color: #f1f1f1;
  padding: 30px;
  border-radius: 3px;
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.2);
  }
  
  .live-blog-section h2 {
  font-size: 30px;
  margin-bottom: 20px;
  }
  
  .live-blog-section h3 {
  font-size: 20px;
  margin-bottom: 10px;
  }
  
  .live-blog-section p {
  font-size: 16px;
  line-height: 1.5;
  margin-bottom: 0;  
  }

/* For screens smaller than 600px */
@media screen and (max-width: 600px) {

    main{
      opacity: 1;
    }

    header {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      position: relative;
    }
    
    h1 {
      font-size: 20px;
      margin-bottom: 10px;
    }
    
    nav {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 100%;
    }
    
    nav ul {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      width: 100%;
      margin: 0;
      padding: 0;
    }
    
    nav li {
      margin: 10px 0;
    }
    
    nav a {
      padding: 1vh;
      font-size: 16px;
      display: block;
      text-align: center;
    }
    
    a{
      padding: 1vh;
    }

    p {
      padding: 10px;
    }
    
    h2 {
      font-size: 30px;
    }
    
    h3 {
      font-size: 20px;
    }

    footer{
        height: 170px;
    }
    
    .footer-wrapper {
      text-align: center;
    }
    
    .footer-links {
      margin-top: 10px;
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
    }
    
    .footer-links a {
      margin: 0 10px;
      font-size: 14px;
      padding: 1vh 2vh;
      color: white;
      background-color: #333;
      text-decoration: none;
    }
    
    .copyright-footer {
      font-size: 18px;
    }

    .articles-header {
      font-size: 1.5rem;
      margin-bottom: 1.5rem;
    }
  
    .category {
      width: 100%;
      margin-left: 1rem;
      margin-right: 1rem;
    }
  
    .category h3 {
      font-size: 1.25rem;
      margin-bottom: 1rem;
    }
  
    .category ul li {
      padding: 0.5rem;
    }
  
    .category ul li a {
      padding: 0.5rem;
      white-space: normal;
      overflow: visible;
      text-overflow: clip;
    }
  }
  
  
/* For screens larger than 601px */
@media screen and (min-width: 601px) {

    nav {
      flex-direction: row;
      justify-content: flex-end;
    }
    
    nav li {
      margin-left: 20px;
      margin-right: 0;
      font-size: large;
    }
    
    nav a {
      padding: 2vh;
      font-size: 22px;
    }
    
    h1 {
      font-size: 50px;
    }

    h2 {
        font-size: 40px;
    }

    h3{
        font-size: 30px;
    }
    
    p {
      font-size: 20px;
    }
    
    a {
      padding: 10px 20px;
      font-size: large;
    }
    
    footer{
        height: 230px;
    }

    .footer-links a {
      font-size: 20px;
      padding: 2vh;
    }

    .copyright-footer{
        font-size: 25px;
    }

    .category {
      width: min-content;
      margin-left: 2rem;
      margin-right: 2rem;
    }
  
    .category h3 {
      font-size: 1.5rem;
      margin-bottom: 1.5rem;
    }
  
    .category ul li {
      padding: 1vh;
    }
  
    .category ul li a {
      display: block;
      overflow: hidden;
      white-space: nowrap;
      text-overflow: ellipsis;
      max-width: 100%;
      padding: 1vh;
    }
}

@keyframes loading {
  0% {
      background-position: 200% 0;
  }
  100% {
      background-position: -200% 0;
  }
}